CFPRIME TRANDA                                                          TRANDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE TRANDA(IUX)                                            TRANDA      3
CD                                                                      TRANDA      4
CD    TO TABULATE RANI DATA.                                            TRANDA      5
CD                                                                      TRANDA      6
      INCLUDE 'PARX.INS'                                                TRANDA      7
      INCLUDE 'CNPT.INS'                                                TRANDA      8
      INCLUDE 'CNIPTR.INS'                                              TRANDA      9
      INCLUDE 'CNSTN.INS'                                               TRANDA     10
      INCLUDE 'CNNNEW.INS'                                              TRANDA     11
      INCLUDE 'CNVOLT.INS'                                              TRANDA     12
      INCLUDE 'CNB1.INS'                                                TRANDA     13
      INCLUDE 'CNB19.INS'                                               TRANDA     14
      INCLUDE 'CNUDM.INS'                                               TRANDA     15
      INCLUDE 'CNRAN.INS'                                               TRANDA     16
      INCLUDE 'CNSDB.INS'                                               TRANDA     17
      INCLUDE 'CNSTP.INS'                                               TRANDA     18
      INCLUDE 'CNSVS.INS'                                               TRANDA     19
      INCLUDE 'CNULTC.INS'                                              TRANDA     20
      INCLUDE 'CNMDAT.INS'                                              TRANDA     21
      INCLUDE 'CNFLAG.INS'                                              TRANDA     22
      INCLUDE 'CNXSTA.INS'                                              TRANDA     23
      INCLUDE 'CNYVAR.INS'                                              TRANDA     24
      INCLUDE 'CNQSTA.INS'                                              TRANDA     25
      INCLUDE 'EQQSTA.INS'                                              TRANDA     26
      INCLUDE 'CNUDIC.INS'                                              TRANDA     27
C                                                                       TRANDA     28
      LOGICAL LENTER                                                    TRANDA     29
C                                                                       TRANDA     30
      CHARACTER*2 LCKT,LCKT1                                            TRANDA     31
      CHARACTER*4 CKID                                                  TRANDA     32
      INTEGER*4  JCKID                                                  TRANDA     33
      EQUIVALENCE (JCKID,CKID)                                          TRANDA     34
C                                                                       TRANDA     35
      LDEB=.FALSE.                                                      TRANDA     36
C                                                                       TRANDA     37
      IF(NRANI.EQ.0) RETURN                                             TRANDA     38
      LENTER=.FALSE.                                                    TRANDA     39
      WRITE (IUX,1010)                                                  TRANDA     40
C                                                                       TRANDA     41
  20  DO 30 N=1,NRANI                                                   TRANDA     42
      JR=JRDAT(N)                                                       TRANDA     43
      K1=IDDAT(JR+1)                                                    TRANDA     44
      K2=IDDAT(JR+2)                                                    TRANDA     45
      K13=K1*3                                                          TRANDA     46
      K23=K2*3                                                          TRANDA     47
      NLF1=NOLD(K1)                                                     TRANDA     48
      NLF2=NOLD(K2)                                                     TRANDA     49
      JCKID=IDDAT(JR+3)                                                 TRANDA     50
      LCKT(1:2)=CKID(3:4)                                               TRANDA     51
      NRTYPN=IDDAT(JR+4)                                                TRANDA     52
      IBFARX=IDDAT(JR+5)                                                TRANDA     53
      IRANF=IDDAT(JR+6)                                                 TRANDA     54
      IDIVX=IDDAT(JR+7)                                                 TRANDA     55
C                                                                       TRANDA     56
      IF(NRTYPN.NE.50) GOTO 30                                          TRANDA     57
      IF(IRANF.EQ.0.OR.IRANF.EQ.3) THEN                                 TRANDA     58
         WRITE(IUX,1020) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)      TRANDA     59
     &   ,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT,NRTYPN         TRANDA     60
     &   ,IBFARX,IDIVX                                                  TRANDA     61
      ELSEIF(IRANF.EQ.1) THEN                                           TRANDA     62
         WRITE(IUX,1021) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)      TRANDA     63
     &   ,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT,NRTYPN         TRANDA     64
     &   ,IBFARX,IDIVX                                                  TRANDA     65
      ELSEIF(IRANF.EQ.2) THEN                                           TRANDA     66
         WRITE(IUX,1022) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)      TRANDA     67
     &   ,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT,NRTYPN         TRANDA     68
     &   ,IBFARX,IDIVX                                                  TRANDA     69
      ENDIF                                                             TRANDA     70
C                                                                       TRANDA     71
      JE1=JR+12                                                         TRANDA     72
      IF(LENTER)THEN                                                    TRANDA     73
         CALL PUDMIN(IUX,JE1)                                           TRANDA     74
         IF(IRANF.EQ.0) THEN                                            TRANDA     75
            WRITE(IUX,1050) (VALIUD(NVALIU-80+J),J=1,11)                TRANDA     76
     &      ,VALIUD(NVALIU-80+14)                                       TRANDA     77
     &      ,VALIUD(NVALIU-80+20)                                       TRANDA     78
         ELSEIF(IRANF.EQ.1) THEN                                        TRANDA     79
            WRITE(IUX,1040) VALIUD(NVALIU-80+1)                         TRANDA     80
     &      ,(VALIUD(NVALIU-80+J),J=7,10),VALIUD(NVALIU-80+12)          TRANDA     81
     &      ,(VALIUD(NVALIU-80+JJ),JJ=14,16),VALIUD(NVALIU-80+20)       TRANDA     82
         ELSEIF(IRANF.EQ.2) THEN                                        TRANDA     83
            WRITE(IUX,1041) VALIUD(NVALIU-80+1),VALIUD(NVALIU-80+3)     TRANDA     84
     &      ,(VALIUD(NVALIU-80+J),J=7,10),VALIUD(NVALIU-80+12)          TRANDA     85
     &      ,VALIUD(NVALIU-80+14),VALIUD(NVALIU-80+17)                  TRANDA     86
     &      ,VALIUD(NVALIU-80+20)                                       TRANDA     87
         ELSEIF(IRANF.EQ.3) THEN                                        TRANDA     88
            WRITE(IUX,1051) VALIUD(NVALIU-80+1),VALIUD(NVALIU-80+3)     TRANDA     89
     &      ,VALIUD(NVALIU-80+5),(VALIUD(NVALIU-80+J),J=7,10)           TRANDA     90
     &      ,VALIUD(NVALIU-80+12),VALIUD(NVALIU-80+14)                  TRANDA     91
     &      ,VALIUD(NVALIU-80+20)                                       TRANDA     92
         ENDIF                                                          TRANDA     93
      ELSE                                                              TRANDA     94
         CALL TUDMDA(6,IUX,IL,JE1)                                      TRANDA     95
      ENDIF                                                             TRANDA     96
  30  CONTINUE                                                          TRANDA     97
      RETURN                                                            TRANDA     98
C                                                                       TRANDA     99
      ENTRY PRANIN(IUX)                                                 TRANDA    100
CD                                                                      TRANDA    101
CD    TO TABULATE INITIAL CONDITIONS OF RANI.                           TRANDA    102
CD                                                                      TRANDA    103
      IF(NRANI.EQ.0) RETURN                                             TRANDA    104
      LENTER=.TRUE.                                                     TRANDA    105
      WRITE(IUX,1000)                                                   TRANDA    106
      GOTO 20                                                           TRANDA    107
C                                                                       TRANDA    108
 1000 FORMAT (1H1,//,20X,5('* '),'RAPID ADJUSTMENT OF NETWORK'          TRANDA    109
     &,' IMPEDANCE (RANI) INITIAL CONDITIONS',5(' *'),/)                TRANDA    110
 1010 FORMAT (1H1,//,27X,5('* '),'RAPID ADJUSTMENT OF NETWORK'          TRANDA    111
     &,' IMPEDANCE (RANI) DATA',5(' *'),/)                              TRANDA    112
 1020 FORMAT (1X,'FR BUS#',1X,'BUS NAME    ',1X,'TO BUS#',1X,           TRANDA    113
     &'BUS NAME    ',1X,'CKTID',1X,'TYPE',1X,'FRAB IDIV',/,1X,          TRANDA    114
     &7('-'),1X,12('-'),1X,7('-'),1X,12('-'),1X,5('-'),1X,4('-'),1X,    TRANDA    115
     &4('-'),1X,4('-'),/,3X,I5,1X,3A4,3X,I5,1X,3A4,4X,A2,3I5)           TRANDA    116
 1021 FORMAT (1X,'FR BUS#',1X,'BUS NAME    ',1X,'TO BUS#',1X,           TRANDA    117
     &'BUS NAME    ',1X,'CKTID',1X,'TYPE',1X,'FRAG IDIV',/,1X,          TRANDA    118
     &7('-'),1X,12('-'),1X,7('-'),1X,12('-'),1X,5('-'),1X,4('-'),1X,    TRANDA    119
     &4('-'),1X,4('-'),/,3X,I5,1X,3A4,3X,I5,1X,3A4,4X,A2,3I5)           TRANDA    120
 1022 FORMAT (1X,'FR BUS#',1X,'BUS NAME    ',1X,'TO BUS#',1X,           TRANDA    121
     &'BUS NAME    ',1X,'CKTID',1X,'TYPE',1X,'FRAX IDIV',/,1X,          TRANDA    122
     &7('-'),1X,12('-'),1X,7('-'),1X,12('-'),1X,5('-'),1X,4('-'),1X,    TRANDA    123
     &4('-'),1X,4('-'),/,3X,I5,1X,3A4,3X,I5,1X,3A4,4X,A2,3I5)           TRANDA    124
 1040 FORMAT(1X,'LOCAL INPUT SIGNALS:',/,'  IRAN(PU)    V1(PU)   '      TRANDA    125
     *,' V2(PU)   A1(RAD)   A2(RAD)  SRAN(PU)   TS(SEC)  GRAN(PU)'      TRANDA    126
     *,'  PRAN(PU)      VREF',/,10(' ---------'),/,10F10.3,/)           TRANDA    127
 1041 FORMAT(/,' LOCAL INPUT SIGNALS:',/,'  IRAN(PU)  QRAN(PU)'         TRANDA    128
     *,'    V1(PU)    V2(PU)   A1(RAD)   A2(RAD)  SRAN(PU)   TS(SEC)'   TRANDA    129
     *,'  XRAN(PU)      VREF',/,10(' ---------'),/,10F10.3,/)           TRANDA    130
 1050 FORMAT(/,' LOCAL INPUT SIGNALS (CONDUCTION ANGLE BASE=180 DEG):'  TRANDA    131
     *,/,' IRAN(PU) ITCR(PU) QRAN(PU) QTCR(PU) BRAN(PU) BTCR(PU)',      TRANDA    132
     *'   V1(PU)   V2(PU)  A1(RAD)  A2(RAD) STCR(PU)  TS(SEC)'          TRANDA    133
     *,'     VREF',/,13(' --------'),/,13F9.3,/)                        TRANDA    134
 1051 FORMAT(/,' LOCAL INPUT SIGNALS:',/,'  IRAN(PU)  QRAN(PU)'         TRANDA    135
     *,'  BRAN(PU)','    V1(PU)    V2(PU)   A1(RAD)   A2(RAD)'          TRANDA    136
     *,'  SRAN(PU)   TS(SEC)','      VREF',/,10(' ---------'),          TRANDA    137
     */,10F10.3,/)                                                      TRANDA    138
C                                                                       TRANDA    139
C  ------------------------------------------------------------         TRANDA    140
C                                                                       TRANDA    141
      ENTRY TSDBDA(IUX)                                                 TRANDA    142
CD                                                                      TRANDA    143
CD    TO TABULATE SDB DATA.                                             TRANDA    144
CD                                                                      TRANDA    145
      IF(NSDB.EQ.0) RETURN                                              TRANDA    146
      LENTER=.FALSE.                                                    TRANDA    147
      WRITE (IUX,2000)                                                  TRANDA    148
C                                                                       TRANDA    149
 120  DO 140 N=1,NSDB                                                   TRANDA    150
      JD=JDDAT(N)                                                       TRANDA    151
      K1=IDDAT(JD+1)                                                    TRANDA    152
      K13=K1*3                                                          TRANDA    153
      NLF1=NOLD(K1)                                                     TRANDA    154
      NDTYPN=IDDAT(JD+2)                                                TRANDA    155
      IDIVX=IDDAT(JD+3)                                                 TRANDA    156
C                                                                       TRANDA    157
      IF(NDTYPN.EQ.50) THEN                                             TRANDA    158
         JE0=JD+3                                                       TRANDA    159
         WRITE(IUX,2020) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)      TRANDA    160
     &   ,NDTYPN,IDIVX                                                  TRANDA    161
C                                                                       TRANDA    162
         JE1=JE0+3                                                      TRANDA    163
         NUF=9                                                          TRANDA    164
         IF(LENTER)THEN                                                 TRANDA    165
            CALL PUDMIN(IUX,JE1)                                        TRANDA    166
            WRITE(IUX,2040) (VALIUD(NVALIU-80+2*J-1),J=1,5)             TRANDA    167
     &      ,VALIUD(NVALIU-80+12),VALIUD(NVALIU-80+14)                  TRANDA    168
         ELSE                                                           TRANDA    169
            CALL TUDMDA(NUF,IUX,IL,JE1)                                 TRANDA    170
         ENDIF                                                          TRANDA    171
      ENDIF                                                             TRANDA    172
  140 CONTINUE                                                          TRANDA    173
      RETURN                                                            TRANDA    174
C                                                                       TRANDA    175
      ENTRY PSDBIN(IUX)                                                 TRANDA    176
CD                                                                      TRANDA    177
CD    TO TABULATE INITIAL CONDITIONS OF SDB.                            TRANDA    178
CD                                                                      TRANDA    179
      IF(NSDB.EQ.0) RETURN                                              TRANDA    180
      LENTER=.TRUE.                                                     TRANDA    181
      WRITE(IUX,2010)                                                   TRANDA    182
      GOTO 120                                                          TRANDA    183
C                                                                       TRANDA    184
 2000 FORMAT (1H1,//,27X,5('* '),'STATIC DYNAMIC BRAKE'                 TRANDA    185
     &,' (SDB) DATA',5(' *'),/)                                         TRANDA    186
 2010 FORMAT (1H1,//,27X,5('* '),'STATIC DYNAMIC BRAKE'                 TRANDA    187
     &,' (SDB) INITIAL CONDITIONS',5(' *'),/)                           TRANDA    188
 2020 FORMAT (1X,'BUS#',1X,'BUS NAME    ',1X,'TYPE IDIV',/,1X,          TRANDA    189
     &4('-'),1X,12('-'),1X,4('-'),1X,4('-'),/,I5,1X,3A4,2I5)            TRANDA    190
 2040 FORMAT(1X,'LOCAL INPUT SIGNALS:'                                  TRANDA    191
     *,/,'  ISDB(PU)  MSDB(PU)  YSDB(PU)  VSDB(PU) ASDB(RAD)'           TRANDA    192
     *,'  SSDB(PU)   TS(SEC)',/,7(' ---------'),/,7F10.3,/)             TRANDA    193
C                                                                       TRANDA    194
C  -----------------------------------------------------------          TRANDA    195
C                                                                       TRANDA    196
      ENTRY TSTPDA(IUX)                                                 TRANDA    197
CD                                                                      TRANDA    198
CD    TO TABULATE STP DATA.                                             TRANDA    199
CD                                                                      TRANDA    200
      IF(NTCPS.EQ.0) RETURN                                             TRANDA    201
      LENTER=.FALSE.                                                    TRANDA    202
      WRITE (IUX,3010)                                                  TRANDA    203
C                                                                       TRANDA    204
  220 DO 280 N=1,NTCPS                                                  TRANDA    205
      JTP=JTPDAT(N)                                                     TRANDA    206
      K1=IDDAT(JTP+1)                                                   TRANDA    207
      K2=IDDAT(JTP+2)                                                   TRANDA    208
      JCKID=IDDAT(JTP+3)                                                TRANDA    209
      LCKT(1:2)=CKID(3:4)                                               TRANDA    210
      K13=K1*3                                                          TRANDA    211
      K23=K2*3                                                          TRANDA    212
      NLF1=NOLD(K1)                                                     TRANDA    213
      NLF2=NOLD(K2)                                                     TRANDA    214
      NTTYPN=IDDAT(JTP+4)                                               TRANDA    215
      NPTYPN=IDDAT(JTP+5)                                               TRANDA    216
      ITABT=IDDAT(JTP+6)                                                TRANDA    217
      ITABP=IDDAT(JTP+7)                                                TRANDA    218
      JTP1=JTP                                                          TRANDA    219
      JTP=JTP+20                                                        TRANDA    220
C                                                                       TRANDA    221
      WRITE(IUX,3020) NLF1,INAME(K13-2),INAME(K13-1),INAME(K13)         TRANDA    222
     &,NLF2,INAME(K23-2),INAME(K23-1),INAME(K23),LCKT,NTTYPN,NPTYPN     TRANDA    223
     &,ITABT,ITABP,IDDAT(JTP)                                           TRANDA    224
C                                                                       TRANDA    225
      IF(LENTER)THEN                                                    TRANDA    226
         YSTP=DDAT(JTP1+12)                                             TRANDA    227
         ASTP=DDAT(JTP1+13)                                             TRANDA    228
         RT0=COS(ASTP)/YSTP                                             TRANDA    229
         XT0=-SIN(ASTP)/YSTP                                            TRANDA    230
         WRITE(IUX,3090) RT0,XT0                                        TRANDA    231
C                                                                       TRANDA    232
         ATT=DDAT(JTP1+8)                                               TRANDA    233
         XTT=DDAT(JTP1+9)                                               TRANDA    234
         ATP=DDAT(JTP1+10)                                              TRANDA    235
         XTP=DDAT(JTP1+11)                                              TRANDA    236
         JY1=JVSTC(N)                                                   TRANDA    237
         JY2=JVSPS(N)                                                   TRANDA    238
         TSTC0=TSTC(JY1+2)                                              TRANDA    239
         TSTC1=1.0+TSTC0*ATT*(1.0-XTT)                                  TRANDA    240
         TSTC2=1.0-TSTC0*ATT*XTT                                        TRANDA    241
         TSPS0=TSPS(JY2+2)                                              TRANDA    242
         TSPS1=TSPS0*ATP*(1.0-XTP)                                      TRANDA    243
         TSPS2=-TSPS0*ATP*XTP                                           TRANDA    244
         TSTCX=SQRT((TSTC1**2+TSPS1**2)/(TSTC2**2+TSPS2**2))            TRANDA    245
         TSPSX=(ATAN(TSPS1/TSTC1)-ATAN(TSPS2/TSTC2))*57.29578           TRANDA    246
         WRITE(IUX,3091) TSTC0,TSTCX                                    TRANDA    247
         WRITE(IUX,3092) TSPS0,TSPSX                                    TRANDA    248
C                                                                       TRANDA    249
         TSTC0=TSTC0+TSPS(JY1+4)                                        TRANDA    250
         TSPS0=TSPS0+TSPS(JY2+4)                                        TRANDA    251
         TSTC1=1.0+TSTC0*ATT*(1.0-XTT)                                  TRANDA    252
         TSTC2=1.0-TSTC0*ATT*XTT                                        TRANDA    253
         TSPS1=TSPS0*ATP*(1.0-XTP)                                      TRANDA    254
         TSPS2=-TSPS0*ATP*XTP                                           TRANDA    255
         TSTCX=SQRT((TSTC1**2+TSPS1**2)/(TSTC2**2+TSPS2**2))/TSTCX      TRANDA    256
         TSPSX=(ATAN(TSPS1/TSTC1)-ATAN(TSPS2/TSTC2))*57.29578-TSPSX     TRANDA    257
         IF(TSTCX.GT.1.001.OR.TSTCX.LT.0.999) WRITE(IUX,3093) TSTCX     TRANDA    258
         IF(ABS(TSPSX).GT.0.1) WRITE(IUX,3094) TSPSX                    TRANDA    259
      ELSE                                                              TRANDA    260
         WRITE(IUX,3030) (DDAT(JTP1+J),J=8,11)                          TRANDA    261
         IF(ITABT.GT.0) THEN                                            TRANDA    262
            WRITE(IUX,3060)                                             TRANDA    263
            NTAB=2*ITABT                                                TRANDA    264
            IF(ITABT.LE.4) THEN                                         TRANDA    265
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,NTAB)                   TRANDA    266
            ELSEIF(ITABT.LE.8) THEN                                     TRANDA    267
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    268
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,NTAB)                   TRANDA    269
            ELSEIF(ITABT.LE.12) THEN                                    TRANDA    270
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    271
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    272
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,NTAB)                  TRANDA    273
            ELSEIF(ITABT.LE.16) THEN                                    TRANDA    274
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    275
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    276
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,24)                    TRANDA    277
               WRITE(IUX,3070) (DDAT(JTP+J),J=25,NTAB)                  TRANDA    278
            ELSE                                                        TRANDA    279
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    280
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    281
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,24)                    TRANDA    282
               WRITE(IUX,3070) (DDAT(JTP+J),J=25,32)                    TRANDA    283
               WRITE(IUX,3070) (DDAT(JTP+J),J=33,NTAB)                  TRANDA    284
            ENDIF                                                       TRANDA    285
         ENDIF                                                          TRANDA    286
         IF(ITABP.GT.0) THEN                                            TRANDA    287
            WRITE(IUX,3080)                                             TRANDA    288
            NTAB=2*ITABP                                                TRANDA    289
            IF(ITABP.LE.4) THEN                                         TRANDA    290
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,NTAB)                   TRANDA    291
            ELSEIF(ITABP.LE.8) THEN                                     TRANDA    292
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    293
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,NTAB)                   TRANDA    294
            ELSEIF(ITABP.LE.12) THEN                                    TRANDA    295
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    296
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    297
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,NTAB)                  TRANDA    298
            ELSEIF(ITABP.LE.16) THEN                                    TRANDA    299
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    300
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    301
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,24)                    TRANDA    302
               WRITE(IUX,3070) (DDAT(JTP+J),J=25,NTAB)                  TRANDA    303
            ELSE                                                        TRANDA    304
               WRITE(IUX,3070) (DDAT(JTP+J),J=1,8)                      TRANDA    305
               WRITE(IUX,3070) (DDAT(JTP+J),J=9,16)                     TRANDA    306
               WRITE(IUX,3070) (DDAT(JTP+J),J=17,24)                    TRANDA    307
               WRITE(IUX,3070) (DDAT(JTP+J),J=25,32)                    TRANDA    308
               WRITE(IUX,3070) (DDAT(JTP+J),J=33,NTAB)                  TRANDA    309
            ENDIF                                                       TRANDA    310
         ENDIF                                                          TRANDA    311
      ENDIF                                                             TRANDA    312
C                                                                       TRANDA    313
      IF(NTTYPN.NE.0) WRITE(IUX,3110)                                   TRANDA    314
      IF(NTTYPN.EQ.50) THEN                                             TRANDA    315
C                                                                       TRANDA    316
         JE1=JTDAT(N)+1                                                 TRANDA    317
         IF(LENTER)THEN                                                 TRANDA    318
            CALL PUDMIN(IUX,JE1)                                        TRANDA    319
            WRITE(IUX,3160) (VALIUD(NVALIU-80+J),J=1,5)                 TRANDA    320
     &      ,(VALIUD(NVALIU-80+J),J=7,11),(VALIUD(NVALIU-80+J),J=14,16) TRANDA    321
     &      ,VALIUD(NVALIU-80+20)                                       TRANDA    322
         ELSE                                                           TRANDA    323
            CALL TUDMDA(7,IUX,IL,JE1)                                   TRANDA    324
         ENDIF                                                          TRANDA    325
C                                                                       TRANDA    326
      ENDIF                                                             TRANDA    327
      IF(NPTYPN.NE.0) WRITE(IUX,3120)                                   TRANDA    328
      IF(NPTYPN.EQ.50) THEN                                             TRANDA    329
C                                                                       TRANDA    330
         JE1=JPDAT(N)+1                                                 TRANDA    331
         IF(LENTER)THEN                                                 TRANDA    332
            CALL PUDMIN(IUX,JE1)                                        TRANDA    333
            WRITE(IUX,3140) (VALIUD(NVALIU-80+J),J=1,4)                 TRANDA    334
     &      ,(VALIUD(NVALIU-80+J),J=6,10),VALIUD(NVALIU-80+12)          TRANDA    335
     &      ,(VALIUD(NVALIU-80+J),J=14,16),VALIUD(NVALIU-80+20)         TRANDA    336
         ELSE                                                           TRANDA    337
            CALL TUDMDA(8,IUX,IL,JE1)                                   TRANDA    338
         ENDIF                                                          TRANDA    339
C                                                                       TRANDA    340
      ENDIF                                                             TRANDA    341
  280 CONTINUE                                                          TRANDA    342
      RETURN                                                            TRANDA    343
C                                                                       TRANDA    344
      ENTRY PSTPIN(IUX)                                                 TRANDA    345
CD                                                                      TRANDA    346
CD    TO TABULATE INITIAL CONDITIONS OF STP                             TRANDA    347
CD                                                                      TRANDA    348
      IF(NTCPS.EQ.0) RETURN                                             TRANDA    349
      LENTER=.TRUE.                                                     TRANDA    350
      WRITE (IUX,3000)BASPC                                             TRANDA    351
      GOTO 220                                                          TRANDA    352
C                                                                       TRANDA    353
 3000 FORMAT (1H1,//,13X,5('* '),'STATIC TAP CHANGER / PHASE SHIFTER'   TRANDA    354
     &,' (STP) INITIAL CONDITIONS ON ',F6.2,' MVA BASE',5(' *'),/)      TRANDA    355
 3010 FORMAT (1H1,//,29X,5('* '),'STATIC TAP CHANGER / PHASE SHIFTER'   TRANDA    356
     &,' (STP) DATA',5(' *'),/)                                         TRANDA    357
 3020 FORMAT (1X,'FR BUS#',1X,'BUS NAME    ',1X,'TO BUS#',1X,           TRANDA    358
     &'BUS NAME    ',1X,'CKTID',1X,'TC TYPE',1X,'PS TYPE',1X,'ITABT',   TRANDA    359
     &1X,'ITABP',1X,'IDIV',/,1X,7('-'),1X,12('-'),1X,7('-'),1X,12('-')  TRANDA    360
     &,1X,5('-'),1X,7('-'),1X,7('-'),1X,5('-'),1X,5('-'),1X,4('-'),/,   TRANDA    361
     &3X,I5,1X,3A4,3X,I5,1X,3A4,4X,A2,2I8,2I6,I5)                       TRANDA    362
 3030 FORMAT(1X,'ATT=',F6.3,'  XTT=',F6.3,'  ATP=',F6.3,'  XTP=',F6.3)  TRANDA    363
 3060 FORMAT(1X,4(7X,'*TT*',7X,'*FT*'))                                 TRANDA    364
 3070 FORMAT(1X,8(1X,F10.5))                                            TRANDA    365
 3080 FORMAT(1X,4(7X,'*TP*',7X,'*FP*'))                                 TRANDA    366
 3090 FORMAT(1X,'RT0=',F8.5,' PU  XT0=',F8.5,' PU ')                    TRANDA    367
 3091 FORMAT(1X,'TSTC0=',F7.4,' IT CORRESPONDS TO A TURNS RATIO OF '    TRANDA    368
     *,F7.4,' (SIDE 1 / SIDE 2).')                                      TRANDA    369
 3092 FORMAT(1X,'TSPS0=',F7.4,' IT CORRESPONDS TO A PHASE SHIFT OF '    TRANDA    370
     *,F7.2,' DEGREES (SIDE 1 - SIDE 2).')                              TRANDA    371
 3093 FORMAT(1X,'A FIXED TURNS RATIO OF ',F7.4,' EXISTS DUE TO'         TRANDA    372
     *,' QUANTIZATION.')                                                TRANDA    373
 3094 FORMAT(1X,'A FIXED PHASE SHIFT OF ',F7.2,' DEGREES EXISTS DUE TO' TRANDA    374
     *,' QUANTIZATION.')                                                TRANDA    375
 3110 FORMAT(/,1X,'STC CONTROLS:')                                      TRANDA    376
 3120 FORMAT(/,1X,'SPS CONTROLS:')                                      TRANDA    377
 3140 FORMAT(1X,'LOCAL INPUT SIGNALS:',/,'   I1(PU)   I2(PU)   '        TRANDA    378
     *,'P1(PU)   P2(PU) TSPS(PU)   V1(PU)   V2(PU)  A1(RAD)'            TRANDA    379
     *,'  A2(RAD) SSPS(PU)  TS(SEC)   Q1(PU)   Q2(PU)     VREF',/       TRANDA    380
     *,14(' --------'),/,14F9.3,/)                                      TRANDA    381
 3160 FORMAT(1X,'LOCAL INPUT SIGNALS:',/,'   I1(PU)   IS(PU)'           TRANDA    382
     *,'   P1(PU)   P2(PU) TSTC(PU)   V1(PU)   V2(PU)  A1(RAD)'         TRANDA    383
     *,'  A2(RAD) SSTC(PU)  TS(SEC)   Q1(PU)   Q2(PU)     VREF',/       TRANDA    384
     *,14(' --------'),/,14F9.3,/)                                      TRANDA    385
C                                                                       TRANDA    386
C  ----------------------------------------------------------           TRANDA    387
C                                                                       TRANDA    388
      ENTRY TULTDA(IUX)                                                 TRANDA    389
CD                                                                      TRANDA    390
CD    TO TABULATE ULTC DATA.                                            TRANDA    391
CD                                                                      TRANDA    392
      LENTER=.FALSE.                                                    TRANDA    393
C                                                                       TRANDA    394
  320 IF (NULTC .LE. 0) RETURN                                          TRANDA    395
C                                                                       TRANDA    396
      IL=60                                                             TRANDA    397
C                                                                       TRANDA    398
      DO 380 ITC = 1,NULTC                                              TRANDA    399
         JTC = JULTCD(ITC)                                              TRANDA    400
         NLFP = IDDAT(JTC+1)                                            TRANDA    401
         NLFS = IDDAT(JTC+2)                                            TRANDA    402
         NLFR = IDDAT(JTC+4)                                            TRANDA    403
         NLFRN = IABS(NLFR)                                             TRANDA    404
C                                                                       TRANDA    405
         JCKID = IDDAT(JTC+3)                                           TRANDA    406
         CALL UNPACK(LCKT,K,JCKID)                                      TRANDA    407
C                                                                       TRANDA    408
         IF(IL.GE.60)THEN                                               TRANDA    409
            IF(LENTER)THEN                                              TRANDA    410
               WRITE(IUX,4170)                                          TRANDA    411
            ELSE                                                        TRANDA    412
               WRITE(IUX,4150)                                          TRANDA    413
            ENDIF                                                       TRANDA    414
            IL=6                                                        TRANDA    415
         ENDIF                                                          TRANDA    416
C                                                                       TRANDA    417
         IF(LENTER)THEN                                                 TRANDA    418
            IIP3 = 3*NLFP                                               TRANDA    419
            IIS3 = 3*NLFS                                               TRANDA    420
            IIR3 = 3*NLFRN                                              TRANDA    421
            NLFPO=NOLD(NLFP)                                            TRANDA    422
            NLFSO=NOLD(NLFS)                                            TRANDA    423
            NLFRO=NOLD(NLFRN)                                           TRANDA    424
            WRITE(IUX,4220) NLFPO,INAME(IIP3-2),INAME(IIP3-1),          TRANDA    425
     1                   INAME(IIP3),NLFSO,INAME(IIS3-2),               TRANDA    426
     2                   INAME(IIS3-1),INAME(IIS3),LCKT,                TRANDA    427
     3                   NLFRO,INAME(IIR3-2),INAME(IIR3-1),             TRANDA    428
     4                   INAME(IIR3),IDDAT(JTC+5),                      TRANDA    429
     5                   DDAT(JTC+22),CABS(VOLT(NLFRN))                 TRANDA    430
         ELSE                                                           TRANDA    431
            IIP3 = 3*NNEW(NLFP)                                         TRANDA    432
            IIS3 = 3*NNEW(NLFS)                                         TRANDA    433
            IIR3 = 3*NNEW(NLFRN)                                        TRANDA    434
            WRITE(IUX,4210) NLFP,INAME(IIP3-2),INAME(IIP3-1),           TRANDA    435
     1                      INAME(IIP3),NLFS,INAME(IIS3-2),             TRANDA    436
     2                      INAME(IIS3-1),INAME(IIS3),LCKT,             TRANDA    437
     3                      NLFR,INAME(IIR3-2),INAME(IIR3-1),           TRANDA    438
     4                      INAME(IIR3),IDDAT(JTC+5),IDDAT(JTC+6),      TRANDA    439
     5                      (DDAT(JTC+K),K=7,12)                        TRANDA    440
         ENDIF                                                          TRANDA    441
         IL=IL+1                                                        TRANDA    442
 380  CONTINUE                                                          TRANDA    443
C                                                                       TRANDA    444
      IF(LENTER) RETURN                                                 TRANDA    445
      IL=60                                                             TRANDA    446
C                                                                       TRANDA    447
      DO 390 ITC = 1,NULTC                                              TRANDA    448
         JTC = JULTCD(ITC)                                              TRANDA    449
         NLFP = IDDAT(JTC+1)                                            TRANDA    450
         NLFS = IDDAT(JTC+2)                                            TRANDA    451
         NLFR = IDDAT(JTC+4)                                            TRANDA    452
         NLFRN = IABS(NLFR)                                             TRANDA    453
         JCKID = IDDAT(JTC+3)                                           TRANDA    454
         CALL UNPACK(LCKT,K,JCKID)                                      TRANDA    455
C                                                                       TRANDA    456
         IIP3 = 3*NNEW(NLFP)                                            TRANDA    457
         IIS3 = 3*NNEW(NLFS)                                            TRANDA    458
         IIR3 = 3*NNEW(NLFRN)                                           TRANDA    459
C                                                                       TRANDA    460
         IF(IL.GE.60)THEN                                               TRANDA    461
            WRITE(IUX,4160)                                             TRANDA    462
            IL=6                                                        TRANDA    463
         ENDIF                                                          TRANDA    464
C                                                                       TRANDA    465
         WRITE(IUX,4220) NLFP,INAME(IIP3-2),INAME(IIP3-1),              TRANDA    466
     1                   INAME(IIP3),NLFS,INAME(IIS3-2),                TRANDA    467
     2                   INAME(IIS3-1),INAME(IIS3),LCKT,                TRANDA    468
     3                   NLFR,INAME(IIR3-2),INAME(IIR3-1),              TRANDA    469
     4                   INAME(IIR3),IDDAT(JTC+5),DDAT(JTC+13),         TRANDA    470
     5                   DDAT(JTC+24),(DDAT(JTC+K),K=14,17)             TRANDA    471
         IL=IL+1                                                        TRANDA    472
 390  CONTINUE                                                          TRANDA    473
C                                                                       TRANDA    474
      RETURN                                                            TRANDA    475
C                                                                       TRANDA    476
      ENTRY PULTIN(IUX)                                                 TRANDA    477
CD                                                                      TRANDA    478
CD    TO TABULATE INITIAL CONDITIONS OF ULTC.                           TRANDA    479
CD                                                                      TRANDA    480
      LENTER=.TRUE.                                                     TRANDA    481
      GOTO 320                                                          TRANDA    482
C                                                                       TRANDA    483
 4150 FORMAT (1H1,61X,'ULTC DATA',/,62X,9('=')                          TRANDA    484
     *,/,'   FROM                TO                      CONTROLLED'    TRANDA    485
     *,/,'   BUS# BUS NAME       BUS# BUS NAME     CID   BUS#'          TRANDA    486
     *,' BUS NAME     TYPE ICHOI       RC'                              TRANDA    487
     *,'       XC       DB    EPSLO       KP       KC',/                TRANDA    488
     *,'  ----- ------------  ----- ------------ ---  ----- '           TRANDA    489
     *,'------------ ---- -----',6(' --------'))                        TRANDA    490
 4160 FORMAT (1H1,55X,'ULTC DATA (CONTINUE)',/,56X,20('=')              TRANDA    491
     *,/,'   FROM                TO                      CONTROLLED'    TRANDA    492
     *,/,'   BUS# BUS NAME       BUS# BUS NAME     CID   BUS#'          TRANDA    493
     *,' BUS NAME     TYPE   TD0(S)   TD1(S)'                           TRANDA    494
     *,'   TDM(S)    DSTEP     AMAX     AMIN',/                         TRANDA    495
     *,'  ----- ------------  ----- ------------ ---  ----- '           TRANDA    496
     *,'------------ ----',6(' --------'))                              TRANDA    497
 4170 FORMAT (1H1,53X,'ULTC INITIAL CONDITIONS',/54X,23('=')            TRANDA    498
     *,/,'   FROM                TO                      CONTROLLED'    TRANDA    499
     *,/,'   BUS# BUS NAME       BUS# BUS NAME     CID   BUS#'          TRANDA    500
     *,' BUS NAME     TYPE      ONR     VOLT',/                         TRANDA    501
     *,'  ----- ------------  ----- ------------ ---  ----- '           TRANDA    502
     *,'------------ ----',2(' --------'))                              TRANDA    503
 4210 FORMAT(I7,1X,3A4,I7,1X,3A4,2X,A2,I7,1X,3A4,I5,I6,6F9.3)           TRANDA    504
 4220 FORMAT(I7,1X,3A4,I7,1X,3A4,2X,A2,I7,1X,3A4,I5,6F9.3)              TRANDA    505
C                                                                       TRANDA    506
      ENTRY TSVCDA(IUX)                                                 TRANDA    507
CD                                                                      TRANDA    508
CD    TO TABULATE SVC DATA.                                             TRANDA    509
CD                                                                      TRANDA    510
      LENTER=.FALSE.                                                    TRANDA    511
  520 IF(NSVC.EQ.0) RETURN                                              TRANDA    512
C                                                                       TRANDA    513
C     TYPE 1                                                            TRANDA    514
C                                                                       TRANDA    515
      IL=61                                                             TRANDA    516
C                                                                       TRANDA    517
      DO 530 N=1,NSVC                                                   TRANDA    518
         JS=JSDAT(N)                                                    TRANDA    519
         NRTYPN=IDDAT(JS+9)                                             TRANDA    520
         IF(NRTYPN.NE.1) GO TO 530                                      TRANDA    521
         IF(IL.GE.60)THEN                                               TRANDA    522
            IF(LENTER)THEN                                              TRANDA    523
               WRITE (IUX,5010)                                         TRANDA    524
            ELSE                                                        TRANDA    525
               WRITE (IUX,5000)                                         TRANDA    526
            ENDIF                                                       TRANDA    527
            IL=7                                                        TRANDA    528
         ENDIF                                                          TRANDA    529
         KS=NROLD(N)                                                    TRANDA    530
         K3=KS*3                                                        TRANDA    531
         NLF=NOLD(KS)                                                   TRANDA    532
         L=IDDAT(JS+10)                                                 TRANDA    533
         L3=L*3                                                         TRANDA    534
         MLF=NOLD(L)                                                    TRANDA    535
         CKID=NSVCID(N)                                                 TRANDA    536
C                                                                       TRANDA    537
         IF(LENTER)THEN                                                 TRANDA    538
            JSTATE=JXSVR(N)                                             TRANDA    539
            NXS=JXSVR(N+1)-JSTATE                                       TRANDA    540
            JY=JVSVR(N)                                                 TRANDA    541
            VL=CABS(VOLT(L))                                            TRANDA    542
            BSVCN=BSVC(JY+2)                                            TRANDA    543
            VMG=REAL(VOLT(KS))**2+AIMAG(VOLT(KS))**2                    TRANDA    544
            QSAT=VMG*BSVCN                                              TRANDA    545
            VMG=SQRT(VMG)                                               TRANDA    546
            IQFARX=IDDAT(JS+11)                                         TRANDA    547
            WRITE (IUX,5030) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    548
     *         ,CKID(3:4),NRTYPN,MLF,INAME(L3-2),INAME(L3-1),INAME(L3)  TRANDA    549
     *         ,DDAT(JS+2),VL,VMG,IQFARX,QSAT,BSVCN,RVREF(JY+1)         TRANDA    550
     *         ,(XSTATE(JSTATE+LK),LK=1,NXS)                            TRANDA    551
         ELSE                                                           TRANDA    552
            WRITE (IUX,5020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    553
     *         ,CKID(3:4),NRTYPN,MLF,INAME(L3-2),INAME(L3-1),INAME(L3)  TRANDA    554
     *         ,IDDAT(JS+11),IDDAT(JS+12),(DDAT(JS+LK),LK=1,8)          TRANDA    555
         ENDIF                                                          TRANDA    556
         IL=IL+1                                                        TRANDA    557
C                                                                       TRANDA    558
  530 CONTINUE                                                          TRANDA    559
C                                                                       TRANDA    560
C  TYPE 2 (CYCLE 1)                                                     TRANDA    561
C                                                                       TRANDA    562
      IL=61                                                             TRANDA    563
      DO 540 N=1,NSVC                                                   TRANDA    564
         JS=JSDAT(N)                                                    TRANDA    565
         NRTYPN=IDDAT(JS+9)                                             TRANDA    566
         IF(NRTYPN.NE.2) GO TO 540                                      TRANDA    567
         IF(IL.GE.60)THEN                                               TRANDA    568
            IF(LENTER)THEN                                              TRANDA    569
               WRITE (IUX,5010)                                         TRANDA    570
            ELSE                                                        TRANDA    571
               WRITE (IUX,5040)                                         TRANDA    572
            ENDIF                                                       TRANDA    573
            IL=6                                                        TRANDA    574
         ENDIF                                                          TRANDA    575
         KS=NROLD(N)                                                    TRANDA    576
         K3=KS*3                                                        TRANDA    577
         NLF=NOLD(KS)                                                   TRANDA    578
         L=IDDAT(JS+10)                                                 TRANDA    579
         L3=L*3                                                         TRANDA    580
         MLF=NOLD(L)                                                    TRANDA    581
         CKID=NSVCID(N)                                                 TRANDA    582
         IF(LENTER)THEN                                                 TRANDA    583
            JSTATE=JXSVR(N)                                             TRANDA    584
            NXS=JXSVR(N+1)-JSTATE                                       TRANDA    585
            JY=JVSVR(N)                                                 TRANDA    586
            VL=CABS(VOLT(L))                                            TRANDA    587
            BSVCN=XSTATE(JSTATE+NXS)                                    TRANDA    588
            VMG=REAL(VOLT(KS))**2+AIMAG(VOLT(KS))**2                    TRANDA    589
            QSAT=VMG*BSVCN                                              TRANDA    590
            VMG=SQRT(VMG)                                               TRANDA    591
            IQFARX=IDDAT(JS+11)                                         TRANDA    592
            WRITE (IUX,5030) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    593
     *         ,CKID(3:4),NRTYPN,MLF,INAME(L3-2),INAME(L3-1),INAME(L3)  TRANDA    594
     *         ,DDAT(JS+2),VL,VMG,IQFARX,QSAT,BSVCN,RVREF(JY+1)         TRANDA    595
     *         ,(XSTATE(JSTATE+LK),LK=1,3)                              TRANDA    596
         ELSE                                                           TRANDA    597
            WRITE (IUX,5020) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    598
     *         ,CKID(3:4),NRTYPN,MLF,INAME(L3-2),INAME(L3-1),INAME(L3)  TRANDA    599
     *         ,IDDAT(JS+11),IDDAT(JS+12),(DDAT(JS+LK),LK=1,7)          TRANDA    600
     *         ,DDAT(JS+13)                                             TRANDA    601
         ENDIF                                                          TRANDA    602
         IL=IL+1                                                        TRANDA    603
C                                                                       TRANDA    604
  540 CONTINUE                                                          TRANDA    605
C                                                                       TRANDA    606
C                                                                       TRANDA    607
C  TYPE 2 (CYCLE 2)                                                     TRANDA    608
C                                                                       TRANDA    609
      IL=61                                                             TRANDA    610
      DO 550 N=1,NSVC                                                   TRANDA    611
         JS=JSDAT(N)                                                    TRANDA    612
         NRTYPN=IDDAT(JS+9)                                             TRANDA    613
         IF(NRTYPN.NE.2) GO TO 550                                      TRANDA    614
         IF(IL.GE.60)THEN                                               TRANDA    615
            IF(LENTER)THEN                                              TRANDA    616
               WRITE (IUX,5060)                                         TRANDA    617
            ELSE                                                        TRANDA    618
               WRITE (IUX,5050)                                         TRANDA    619
            ENDIF                                                       TRANDA    620
            IL=6                                                        TRANDA    621
         ENDIF                                                          TRANDA    622
         KS=NROLD(N)                                                    TRANDA    623
         K3=KS*3                                                        TRANDA    624
         NLF=NOLD(KS)                                                   TRANDA    625
         CKID=NSVCID(N)                                                 TRANDA    626
         IF(LENTER)THEN                                                 TRANDA    627
            JSTATE=JXSVR(N)                                             TRANDA    628
            NXS=JXSVR(N+1)-JSTATE                                       TRANDA    629
            WRITE(IUX,5090)NLF,INAME(K3-2),INAME(K3-1),INAME(K3)        TRANDA    630
     *         ,CKID(3:4),NRTYPN,DDAT(JS+14)                            TRANDA    631
     *         ,(XSTATE(JSTATE+LK),LK=4,NXS)                            TRANDA    632
         ELSE                                                           TRANDA    633
            WRITE(IUX,5080)NLF,INAME(K3-2),INAME(K3-1),INAME(K3)        TRANDA    634
     *         ,CKID(3:4),NRTYPN,(DDAT(JS+LK),LK=14,19)                 TRANDA    635
         ENDIF                                                          TRANDA    636
         IL=IL+1                                                        TRANDA    637
C                                                                       TRANDA    638
  550 CONTINUE                                                          TRANDA    639
C                                                                       TRANDA    640
C  TYPE 2 (CYCLE 2)                                                     TRANDA    641
C                                                                       TRANDA    642
      IL=61                                                             TRANDA    643
      DO 551 N=1,NSVC                                                   TRANDA    644
         JS=JSDAT(N)                                                    TRANDA    645
         NRTYPN=IDDAT(JS+9)                                             TRANDA    646
         IF(NRTYPN.NE.2) GO TO 551                                      TRANDA    647
         IF(IL.GE.60)THEN                                               TRANDA    648
            IF(LENTER)THEN                                              TRANDA    649
            ELSE                                                        TRANDA    650
               WRITE (IUX,5051)                                         TRANDA    651
            ENDIF                                                       TRANDA    652
            IL=6                                                        TRANDA    653
         ENDIF                                                          TRANDA    654
         KS=NROLD(N)                                                    TRANDA    655
         K3=KS*3                                                        TRANDA    656
         NLF=NOLD(KS)                                                   TRANDA    657
         CKID=NSVCID(N)                                                 TRANDA    658
         IF(LENTER)THEN                                                 TRANDA    659
         ELSE                                                           TRANDA    660
            WRITE(IUX,5081)NLF,INAME(K3-2),INAME(K3-1),INAME(K3)        TRANDA    661
     *         ,CKID(3:4),NRTYPN,(DDAT(JS+LK),LK=21,27)                 TRANDA    662
         ENDIF                                                          TRANDA    663
         IL=IL+1                                                        TRANDA    664
C                                                                       TRANDA    665
  551 CONTINUE                                                          TRANDA    666
C                                                                       TRANDA    667
C                                                                       TRANDA    668
C  TYPE 3                                                               TRANDA    669
C                                                                       TRANDA    670
      IL=61                                                             TRANDA    671
      DO 580 N=1,NSVC                                                   TRANDA    672
         JS=JSDAT(N)                                                    TRANDA    673
         NRTYPN=IDDAT(JS+9)                                             TRANDA    674
         IF(NRTYPN.NE.3) GO TO 580                                      TRANDA    675
         JSTATE=JXSVR(N)                                                TRANDA    676
         NXS=JXSVR(N+1)-JSTATE                                          TRANDA    677
         JY=JVSVR(N)                                                    TRANDA    678
         KS=NROLD(N)                                                    TRANDA    679
         K3=KS*3                                                        TRANDA    680
         NLF=NOLD(KS)                                                   TRANDA    681
         IQFARX=IDDAT(JS+11)                                            TRANDA    682
         IDIVX=IDDAT(JS+12)                                             TRANDA    683
C                                                                       TRANDA    684
         L=IDDAT(JS+10)                                                 TRANDA    685
         L3=L*3                                                         TRANDA    686
         MLF=NOLD(L)                                                    TRANDA    687
         VL=CABS(VOLT(L))                                               TRANDA    688
         CKID=NSVCID(N)                                                 TRANDA    689
         IF(IL.GE.60)THEN                                               TRANDA    690
            IF(LENTER)THEN                                              TRANDA    691
               WRITE (IUX,5110)                                         TRANDA    692
            ELSE                                                        TRANDA    693
               WRITE (IUX,5100)                                         TRANDA    694
            ENDIF                                                       TRANDA    695
            IL=7                                                        TRANDA    696
         ENDIF                                                          TRANDA    697
         WRITE (IUX,5120) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)         TRANDA    698
     *      ,CKID(3:4),NRTYPN,MLF,INAME(L3-2),INAME(L3-1),INAME(L3)     TRANDA    699
     *      ,DDAT(JS+14)                                                TRANDA    700
C                                                                       TRANDA    701
         MT1=IDDAT(JS+28)                                               TRANDA    702
         VI1=0.0                                                        TRANDA    703
         IF(MT1.EQ.0) THEN                                              TRANDA    704
            IF(.NOT.LENTER)THEN                                         TRANDA    705
               NLF1O=IDDAT(JS+30)                                       TRANDA    706
               NLF1N=NNEW(NLF1O)                                        TRANDA    707
               NLF2O=IDDAT(JS+31)                                       TRANDA    708
               NLF2N=NNEW(NLF2O)                                        TRANDA    709
               ITFK=IDDAT(JS+32)                                        TRANDA    710
               LCKT(1:2)=CKID(3:4)                                      TRANDA    711
               N3=3*NLF1N                                               TRANDA    712
               M3=3*NLF2N                                               TRANDA    713
               WRITE(IUX,5130)NLF1O,INAME(N3-2),INAME(N3-1),INAME(N3)   TRANDA    714
     &         ,NLF2O,INAME(M3-2),INAME(M3-1),INAME(M3),LCKT            TRANDA    715
            ELSE                                                        TRANDA    716
               NLF1N=DDAT(JS+30)                                        TRANDA    717
               VRE=REAL(VOLT(NLF1N))                                    TRANDA    718
               VIM=AIMAG(VOLT(NLF1N))                                   TRANDA    719
            ENDIF                                                       TRANDA    720
            MLIN=IDDAT(JS+8)                                            TRANDA    721
            DO 560 J=1,MLIN                                             TRANDA    722
            IF(.NOT.LENTER)THEN                                         TRANDA    723
               JCKID=IDDAT(JS+45+2*J-1)                                 TRANDA    724
               LCKT1(1:2)=CKID(3:4)                                     TRANDA    725
               IF(LCKT.EQ.' *')WRITE(IUX,5140) J,LCKT1                  TRANDA    726
            ELSE                                                        TRANDA    727
               LOC=IDDAT(JS+45+2*J)                                     TRANDA    728
               CALL GETCUR(CURR,CURI,LOC)                               TRANDA    729
               VI1=VI1+VRE*CURR+VIM*CURI                                TRANDA    730
            ENDIF                                                       TRANDA    731
  560       CONTINUE                                                    TRANDA    732
         ELSEIF(MT1.EQ.1) THEN                                          TRANDA    733
            IF(.NOT.LENTER)THEN                                         TRANDA    734
               NLF1=IDDAT(JS+31)                                        TRANDA    735
               N3=3*NLF1                                                TRANDA    736
               WRITE(IUX,5150) NOLD(NLF1),INAME(N3-2),INAME(N3-1)       TRANDA    737
     &         ,INAME(N3),DDAT(JS+30)                                   TRANDA    738
            ENDIF                                                       TRANDA    739
         ELSE                                                           TRANDA    740
            IF(.NOT.LENTER)THEN                                         TRANDA    741
               NLF1=IDDAT(JS+30)                                        TRANDA    742
               N3=NLF1*3                                                TRANDA    743
               WRITE(IUX,5160) NOLD(NLF1),INAME(N3-2),INAME(N3-1)       TRANDA    744
     &         ,INAME(N3)                                               TRANDA    745
            ENDIF                                                       TRANDA    746
         ENDIF                                                          TRANDA    747
         MT2=IDDAT(JS+29)                                               TRANDA    748
C                                                                       TRANDA    749
         IF(LENTER)THEN                                                 TRANDA    750
            BSVCN=XSTATE(JSTATE+NXS)                                    TRANDA    751
            VMG=REAL(VOLT(KS))**2+AIMAG(VOLT(KS))**2                    TRANDA    752
            QSAT=VMG*BSVCN                                              TRANDA    753
            VMG=SQRT(VMG)                                               TRANDA    754
            IF(MT2.EQ.0) THEN                                           TRANDA    755
               VI2=VL                                                   TRANDA    756
            ELSEIF(MT2.EQ.1) THEN                                       TRANDA    757
               VI2=QSAT                                                 TRANDA    758
            ELSE                                                        TRANDA    759
               VI2=QSAT/VMG                                             TRANDA    760
            ENDIF                                                       TRANDA    761
            WRITE (IUX,5170) MT1,VI1,MT2,VI2                            TRANDA    762
            WRITE (IUX,5190) VL,VMG,IQFARX,QSAT,BSVCN,RVREF(JY+1),      TRANDA    763
     &      (XSTATE(JSTATE+LK),LK=1,NXS)                                TRANDA    764
         ELSE                                                           TRANDA    765
            WRITE (IUX,5180) MT1,MT2,(DDAT(JS+LK),LK=33,43)             TRANDA    766
            WRITE (IUX,5200) (DDAT(JS+LK),LK=1,7),(DDAT(JS+LK),LK=13,19)TRANDA    767
     &      ,(DDAT(JS+LK),LK=21,27)                                     TRANDA    768
         ENDIF                                                          TRANDA    769
C                                                                       TRANDA    770
  580 CONTINUE                                                          TRANDA    771
C                                                                       TRANDA    772
C  TYPE 6                                                               TRANDA    773
C                                                                       TRANDA    774
      IL=61                                                             TRANDA    775
      DO 600 N=1,NSVC                                                   TRANDA    776
         JS=JSDAT(N)                                                    TRANDA    777
         NRTYPN=IDDAT(JS+9)                                             TRANDA    778
         IF (NRTYPN.NE.6) GO TO 600                                     TRANDA    779
         K=NROLD(N)                                                     TRANDA    780
         K3=K*3                                                         TRANDA    781
         NLF=NOLD(K)                                                    TRANDA    782
         IF(IL.GE.60)THEN                                               TRANDA    783
            IF(LENTER)THEN                                              TRANDA    784
               WRITE (IUX,5220)                                         TRANDA    785
            ELSE                                                        TRANDA    786
               WRITE (IUX,5210)                                         TRANDA    787
            ENDIF                                                       TRANDA    788
            IL=6                                                        TRANDA    789
         ENDIF                                                          TRANDA    790
         IQFARX=IDDAT(JS+11)                                            TRANDA    791
         CKID=NSVCID(N)                                                 TRANDA    792
         IF(LENTER)THEN                                                 TRANDA    793
            JY=JVSVR(N)                                                 TRANDA    794
            VMG=REAL(VOLT(K))**2+AIMAG(VOLT(K))**2                      TRANDA    795
            QSAT=VMG*BSVCT(N)                                           TRANDA    796
            VMG=SQRT(VMG)                                               TRANDA    797
            WRITE (IUX,5240) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    798
     +         ,CKID(3:4),NRTYPN,IQFARX,VMG,QSAT,BSVC(JY+2),DDAT(JS+6)  TRANDA    799
         ELSE                                                           TRANDA    800
            WRITE (IUX,5230) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)      TRANDA    801
     +         ,CKID(3:4),NRTYPN,IQFARX,(DDAT(JS+LK),LK=1,4)            TRANDA    802
         ENDIF                                                          TRANDA    803
         IL=IL+1                                                        TRANDA    804
  600 CONTINUE                                                          TRANDA    805
C                                                                       TRANDA    806
C  USER DEFINED SVC MODELS                                              TRANDA    807
C                                                                       TRANDA    808
      IL=61                                                             TRANDA    809
      DO 650 N=1,NSVC                                                   TRANDA    810
         JS=JSDAT(N)                                                    TRANDA    811
         NRTYPN=IDDAT(JS+9)                                             TRANDA    812
         IF(NRTYPN.NE.50) GO TO 650                                     TRANDA    813
         IF(IL.GE.60)THEN                                               TRANDA    814
            IF(LENTER)THEN                                              TRANDA    815
               WRITE (IUX,5310)                                         TRANDA    816
            ELSE                                                        TRANDA    817
               WRITE (IUX,5300)                                         TRANDA    818
            ENDIF                                                       TRANDA    819
            IL=6                                                        TRANDA    820
         ENDIF                                                          TRANDA    821
         KS=NROLD(N)                                                    TRANDA    822
         K3=KS*3                                                        TRANDA    823
         NLF=NOLD(KS)                                                   TRANDA    824
         IQFARX=IDDAT(JS+11)                                            TRANDA    825
         IDIVX=IDDAT(JS+12)                                             TRANDA    826
         CKID=NSVCID(N)                                                 TRANDA    827
C                                                                       TRANDA    828
         WRITE (IUX,5320) NLF,INAME(K3-2),INAME(K3-1),INAME(K3)         TRANDA    829
     &         ,CKID(3:4),IQFARX,IDIVX                                  TRANDA    830
C                                                                       TRANDA    831
         JE1=JS+13                                                      TRANDA    832
         IF(LENTER)THEN                                                 TRANDA    833
            CALL PUDMIN(IUX,JE1)                                        TRANDA    834
            WRITE(IUX,5330) (VALIUD(NVALIU-80+J),J=1,7)                 TRANDA    835
     &      ,VALIUD(NVALIU-80+9),VALIUD(NVALIU-80+11)                   TRANDA    836
     &      ,VALIUD(NVALIU-80+12),VALIUD(NVALIU-80+14)                  TRANDA    837
     &      ,VALIUD(NVALIU-80+20)                                       TRANDA    838
         ELSE                                                           TRANDA    839
            CALL TUDMDA(5,IUX,IL,JE1)                                   TRANDA    840
         ENDIF                                                          TRANDA    841
  650 CONTINUE                                                          TRANDA    842
C                                                                       TRANDA    843
      RETURN                                                            TRANDA    844
C                                                                       TRANDA    845
      ENTRY PSVCIN(IUX)                                                 TRANDA    846
CD                                                                      TRANDA    847
CD    TO TABULATE INITIAL CONDITIONS OF SVC.                            TRANDA    848
CD                                                                      TRANDA    849
      IF(NSVC.EQ.0) RETURN                                              TRANDA    850
      LENTER=.TRUE.                                                     TRANDA    851
      GOTO 520                                                          TRANDA    852
C                                                                       TRANDA    853
 5000 FORMAT(1H1,40X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA',5(' *')TRANDA    854
     *,//,7X,'SVC BUS',19X,'SENSING BUS',/,' BUS # BUS NAME     CID'    TRANDA    855
     *,' TYPE BUS # BUS NAME      IQF IDIV       KA  QL(MVA)  QC(MVA)'  TRANDA    856
     *,'       T1       T2       T3       T4       T5',/                TRANDA    857
     *,' ----- ------------ --- ---- ----- ------------ ---- ----'      TRANDA    858
     *,8(' --------'))                                                  TRANDA    859
 5020 FORMAT(I6,1X,3A4,1X,A2,3X,I2,1X,I6,1X,3A4,I5,I4,F10.3,2F9.3,5F9.4)TRANDA    860
 5010 FORMAT(1H1,33X,5('* '),'STATIC VAR COMPENSATOR (SVC) INITIAL'     TRANDA    861
     *,' CONDITIONS',5(' *'),//,7X,'SVC BUS',19X,'SENSING BUS',/        TRANDA    862
     *,' BUS # BUS NAME     CID TYPE BUS # BUS NAME     MVA BASE'       TRANDA    863
     *,'     VSEN       VT  IQF QSVC(PU) BSVC(PU)     VREF       X1'    TRANDA    864
     *,'       X2       X3',/,' ----- ------------ --- ---- -----'      TRANDA    865
     *,' ------------',3(' --------'),' ----',6(' --------'))           TRANDA    866
 5030 FORMAT(I6,1X,3A4,1X,A2,3X,I2,1X,I6,1X,3A4,F9.2,2F9.4,I5           TRANDA    867
     *,2(F9.4,F9.3,2F9.3))                                              TRANDA    868
 5040 FORMAT(1H1,40X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA',5(' *')TRANDA    869
     *,//,7X,'SVC BUS',19X,'SENSING BUS',/,' BUS # BUS NAME     CID'    TRANDA    870
     *,' TYPE BUS # BUS NAME      IQF IDIV      TS1    VEMAX      TS2'  TRANDA    871
     *,'      TS3      TS4      TS5     KSVC      KSD',/                TRANDA    872
     *,' ----- ------------ --- ---- ----- ------------ ---- ----'      TRANDA    873
     *,8(' --------'))                                                  TRANDA    874
 5070 FORMAT(I6,1X,3A4,1X,A2,2I6,1X,3A4,2I5,F9.4,F9.3,4F9.4,2F9.3)      TRANDA    875
 5050 FORMAT(1H1,35X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA'        TRANDA    876
     *,' (CONTINUE)',5(' *'),//,' BUS # BUS NAME     CID TYPE  QL(MVA)' TRANDA    877
     *,'     BMAX     BMIN  QC(MVA)      TS6       DV',/                TRANDA    878
     *,' ----- ------------ --- ----',6(' --------'))                   TRANDA    879
 5051 FORMAT(1H1,35X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA'        TRANDA    880
     *,' (CONTINUE)',5(' *'),//,' BUS # BUS NAME     CID TYPE     VMAX' TRANDA    881
     *,'     VMIN    VEMIN     BIAS      DV2   BSHUNT       TD',/       TRANDA    882
     *,' ----- ------------ --- ----',7(' --------'))                   TRANDA    883
 5080 FORMAT(I6,1X,3A4,1X,A2,I5,1X,4F9.3,2F9.4)                         TRANDA    884
 5081 FORMAT(I6,1X,3A4,1X,A2,I5,1X,7F9.4)                               TRANDA    885
 5060 FORMAT(1H1,28X,5('* '),'STATIC VAR COMPENSATOR (SVC) INITIAL'     TRANDA    886
     1,' CONDITIONS (CONTINUE)',5(' *'),//,' BUS # BUS NAME     CID'    TRANDA    887
     *,' TYPE MVA BASE       X4       X5       X6       X7       X8'    TRANDA    888
     *,'       X9      X10',/,' ----- ------------ --- ----'            TRANDA    889
     *,8(' --------'))                                                  TRANDA    890
 5090 FORMAT(I6,1X,3A4,1X,A2,I4,1X,8F9.3)                               TRANDA    891
 5100 FORMAT(1H1,40X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA',5(' *')TRANDA    892
     *,/)                                                               TRANDA    893
 5110 FORMAT(1H1,28X,5('* '),'STATIC VAR COMPENSATOR (SVC) INITIAL'     TRANDA    894
     1,' CONDITIONS (CONTINUE)',5(' *'),/)                              TRANDA    895
 5120 FORMAT(7X,'SVC BUS',19X,'SENSING BUS',/                           TRANDA    896
     *,' BUS # BUS NAME     CID TYPE BUS # BUS NAME     MVA BASE',/     TRANDA    897
     *,' ----- ------------ --- ---- ----- ------------ --------',/     TRANDA    898
     *,I6,1X,3A4,1X,A2,2I6,1X,3A4,F9.3,//)                              TRANDA    899
 5130 FORMAT(' REMOTE LINE:  FR BUS#= ',I5,'  NAME= ',3A4,              TRANDA    900
     &'  TO BUS#= ',I5,'  NAME= ',3A4,'  CCT ID= ',A2)                  TRANDA    901
 5140 FORMAT(' #',I2,' CIRCUIT ID OF THE REMOTE LINE IS: ',A2)          TRANDA    902
 5150 FORMAT(' REMOTE BUS#= ',I5,'  NAME= ',3A4,'  TF=',F8.4)           TRANDA    903
 5160 FORMAT(' REMOTE BUS#= ',I5,'  BUS NAME= ',3A4)                    TRANDA    904
 5170 FORMAT(' MT1=',I2,'  IN1=',F7.3,'  MT2=',I2,'  IN2=',F7.3)        TRANDA    905
 5180 FORMAT(' MT1=',I2,'  MT2=',I2,/,                                  TRANDA    906
     1' KS1=',F8.3,'  TS7=',F8.4,'  TS8=',F8.4,'  TS9=',F8.4,/,         TRANDA    907
     2' TS13=',F8.4,'  KS3=',F8.3,'  VSCSM=',F8.3,'  KS2='              TRANDA    908
     3,F8.3,'  TS10=',F8.4,'  TS11=',F8.4,'  TS12=',F8.4,/)             TRANDA    909
 5190 FORMAT(1X,'VSEN=',F8.4,1X,'  ET=',F8.4,1X,' FRAQ=',I3,2X,         TRANDA    910
     &'QFRA=',F8.4,1X,' MHO=',F8.3,1X,' VREF=',F8.4,/,' X1=',F8.3       TRANDA    911
     &,'  X2=',F8.3,'  X3=',F8.3,'  X4=',F8.3,'  X5=',F8.3,/,' X6='     TRANDA    912
     &,F8.3,'  X7=',F8.3,'  X8=',F8.3,'  X9=',F8.3,'  X10=',F8.3)       TRANDA    913
 5200 FORMAT(' TS1=',F8.4,'  VEMAX=',F8.3,'  TS2='                      TRANDA    914
     1,F8.4,'  TS3=',F8.4,'  TS4=',F8.4,'  TS5=',F8.4,'  KSVC=',F8.3,/, TRANDA    915
     2' KSD=',F8.3,'  QL=',F8.3,' MVA  BMAX=',F8.3,'  BMIN=',F8.3,      TRANDA    916
     3'  QC=',F8.3,' MVA  TS6=',F8.4,'  DV=',F8.4,/,                    TRANDA    917
     4' VMAX=',F8.3,' VMIN=',F8.4,' VEMIN=',F8.4,' BIAS=',F8.4,         TRANDA    918
     5' PU  DV2=',F8.3,' BSHUNT=',F8.4,' PU  TD=',F8.4,' SEC.',/)       TRANDA    919
 5210 FORMAT(1H1,40X,5('* '),'STATIC VAR COMPENSATOR (SVC) DATA',5(' *')TRANDA    920
     *,//,' BUS # BUS NAME     CID TYPE FRAQ       V1       V2       G1'TRANDA    921
     *,7X,'G2',/,' ----- ------------ ---',2(' ----'),4(' --------'))   TRANDA    922
 5230 FORMAT(I6,1X,3A4,2X,A2,2I5,4F9.4)                                 TRANDA    923
 5220 FORMAT(1H1,33X,5('* '),'STATIC VAR COMPENSATOR (SVC) INITIAL'     TRANDA    924
     1,' CONDITIONS',5(' *'),//,' BUS # BUS NAME     CID'               TRANDA    925
     *,' TYPE FRAQ       ET       MX      MHO     KSAT',/               TRANDA    926
     5,' ----- ------------ ---',2(' ----'),4(' --------'))             TRANDA    927
 5240 FORMAT(I5,1X,3A4,2X,A2,2I5,F9.5,3F9.4)                            TRANDA    928
 5300 FORMAT(1H1,42X                                                    TRANDA    929
     1,'* * * * * USER DEFINED SVC MODEL DATA * * * * *',/)             TRANDA    930
 5310 FORMAT(1H1,34X,5('* '),'USER DEFINED SVC MODEL INITIAL CONDITIONS'TRANDA    931
     *,5(' *'),/)                                                       TRANDA    932
 5320 FORMAT (' BUS # BUS NAME     CID  IQF IDIV',/,' -----'            TRANDA    933
     &,' ------------ ---',2(' ----'),/,I6,1X,3A4,2X,A2,2I5)            TRANDA    934
 5330 FORMAT(/,' LOCAL INPUT SIGNALS (CONDUCTION ANGLE BASE=180 DEG):'  TRANDA    935
     *,/,'  ISVC(PU)  ITCR(PU)  QSVC(PU)  QTCR(PU)  BSVC(PU)  BTCR(PU)' TRANDA    936
     *,'  VSVC(PU) ASVC(RAD)  STCR(PU)  SSVC(PU)   TS(SEC)      VREF'   TRANDA    937
     *,/,12(' ---------'),/,12F10.3,/)                                  TRANDA    938
C                                                                       TRANDA    939
      END                                                               TRANDA    940
